Bug 205160 - [NEW PORT] security/hashcat: Advanced CPU-based password recovery utility
Summary: [NEW PORT] security/hashcat: Advanced CPU-based password recovery utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-09 16:20 UTC by Nikolai Lifanov
Modified: 2015-12-29 16:39 UTC (History)
0 users

See Also:


Attachments
security/hashcat 2.00 (14.81 KB, patch)
2015-12-09 16:20 UTC, Nikolai Lifanov
no flags Details | Diff
security/hashcat 2.00 shar (12.47 KB, text/plain)
2015-12-09 16:21 UTC, Nikolai Lifanov
no flags Details
poudriere testport log (18.31 KB, text/plain)
2015-12-09 16:43 UTC, Nikolai Lifanov
no flags Details
security/hashcat 2.00 (14.74 KB, patch)
2015-12-11 15:44 UTC, Nikolai Lifanov
no flags Details | Diff
security/hashcat 2.00 shar (12.40 KB, text/plain)
2015-12-11 15:44 UTC, Nikolai Lifanov
no flags Details
security/hashcat 2.00 (14.73 KB, patch)
2015-12-27 17:02 UTC, Nikolai Lifanov
no flags Details | Diff
security/hashcat 2.00 shar (12.39 KB, text/plain)
2015-12-27 17:02 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2015-12-09 16:20:46 UTC
Created attachment 164018 [details]
security/hashcat 2.00

Please add security/hashcat. Hashcat is arguably the most popular and fastest
hash recovery utility, which was recently open-sourced under MIT license.
This is the CPU version of hashcat.
Comment 1 Nikolai Lifanov 2015-12-09 16:21:09 UTC
Created attachment 164019 [details]
security/hashcat 2.00 shar
Comment 2 Nikolai Lifanov 2015-12-09 16:21:28 UTC
$ portlint -A
looks fine.
Comment 3 Nikolai Lifanov 2015-12-09 16:43:22 UTC
Created attachment 164020 [details]
poudriere testport log
Comment 4 Nikolai Lifanov 2015-12-11 15:44:10 UTC
Created attachment 164119 [details]
security/hashcat 2.00

Update the patch:
 o Upstream does not recommend AVX and AVX2 targets just yet
 o Strip .bin extensions from binaries: they are an artifact from when this was
   closed source and upstream will remove them.
Comment 5 Nikolai Lifanov 2015-12-11 15:44:47 UTC
Created attachment 164120 [details]
security/hashcat 2.00 shar

reroll the shar
Comment 6 Nikolai Lifanov 2015-12-27 17:02:09 UTC
Created attachment 164728 [details]
security/hashcat 2.00

Upstream probably won't remove .bin extensions.
I'll update the port if this changes.
Comment 7 Nikolai Lifanov 2015-12-27 17:02:40 UTC
Created attachment 164729 [details]
security/hashcat 2.00 shar
Comment 8 commit-hook freebsd_committer 2015-12-29 16:39:47 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 29 16:39:36 UTC 2015
New revision: 404760
URL: https://svnweb.freebsd.org/changeset/ports/404760

Log:
  Hashcat is an advanced CPU-based password recovery utility for FreeBSD,
  Windows 7/8/10, Apple OS X, and GNU/Linux, supporting seven unique modes
  of attack for over 100 optimized hashing algorithms.

  WWW: https://hashcat.net/hashcat/

  PR:		205160
  Submitted by:	lifanov@mail.lifanov.com

Changes:
  head/security/Makefile
  head/security/hashcat/
  head/security/hashcat/Makefile
  head/security/hashcat/distinfo
  head/security/hashcat/files/
  head/security/hashcat/files/patch-src_hashcat-cli.c
  head/security/hashcat/pkg-descr
  head/security/hashcat/pkg-plist